<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.example.testdemo.manager.GoodManager">
    <select id="queryGoodsById" resultType="Good" parameterType="int">
        select * from goods where id = #{id};
    </select>
    <delete id="deleteGoods" parameterType="int">
        delete from goods where id = #{id};
    </delete>
    <select id="queryGoodsByPhone" resultType="Good" parameterType="String">
        select * from goods where phonenum = #{phonenum};
    </select>
</mapper>
